EDIT - task #7054

clean up initialization strategy using '.representations’
11/06/2017 10:33 AM - Andreas Kohlbecker

Status: In Progress Start date:

Priority: Priority14 Due date:

Assignee: Andreas Muller % Done: 30%
Category: cdmlib-remote Estimated time: 1:00 hour
Target version: Release 5.43

Severity: normal

Description

we have a couple of init-strategies which still include the representations:

DescriptionElementController. java
66: "states.state.representations",
DescriptionElementListPortalController. java (2 matches)

45: "name.rank.representations",

46: "name.status.type.representations",
FeatureTreelistPortalController.java (2 matches)

32: "root.feature.representations",

33: "root.childNodes.feature.representations"

FeatureTreePortalController. java
56: featuretreeNodeInitStrategy.add("feature.representations");
NameController. java
51: "typeStatus.representations",
NamePortalController. java
67: "typeStatus.representations",
TaxonPortalController. java (7 matches)
116: "name.rank.representations",

117: "name.status.type.representations",

133: "name.rank.representations",

134: "name.status.type.representations",

143: "synonyms.name.status.type.representations",

193: "name.rank.representations",

194: "name.status.type.representations",
TaxonPortalListController.java (2 matches)

32: "name.rank.representations",

33: "name.status.type.representations",

All these are no longer needed and should be removed to speed up the controllers.

Related issues:
Related to EDIT - bug #4919: improve AdvancedBeanlnitializer New

Copied from EDIT - task #7052: discuss eager loading of term representations Rejected

Associated revisions

Revision 5b5266¢8 - 11/06/2017 10:40 AM - Andreas Kohlbecker

ref #7054 removing '.representations' from init strategies

History

#1 - 11/06/2017 10:33 AM - Andreas Kohlbecker

- Copied from task #7052: discuss eager loading of term representations added

#2 - 11/06/2017 10:34 AM - Andreas Kohlbecker

- Description updated

#3 - 02/28/2019 11:38 AM - Andreas Kohlbecker

- Tags set to performance
- Description updated
- Priority changed from New to Priority14
- Estimated time set to 1:00 h

#4 - 03/23/2022 11:20 AM - Andreas Miiller
- Related to bug #4919: improve AdvancedBeanlnitializer added

#5 - 03/23/2022 11:21 AM - Andreas Miiller

- Status changed from New to In Progress

- Assignee changed from Andreas Kohlbecker to Andreas Mtiller

- Target version changed from Reviewed Next Major Release to Release 5.44

- % Done changed from 0 to 30

Please check what is still open here.

#6 - 02/14/2024 11:55 PM - Andreas Miiller

- Target version changed from Release 5.44 to Release 5.43

03/20/2024

22


http://www.tcpdf.org

